<html>
<head>
<title>OGRE: Ogre::OverlayElementFactory Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1OverlayElementFactory.html">OverlayElementFactory</a></div>
<h1>Ogre::OverlayElementFactory Class Reference</h1><!-- doxytag: class="Ogre::OverlayElementFactory" -->Defines the interface which all components wishing to supply <a class="el" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a> subclasses must implement.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreOverlayElementFactory_8h-source.html">OgreOverlayElementFactory.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::OverlayElementFactory:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1OverlayElementFactory-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayElementFactory.html#1f58e18cf969c8ebbf5a40df93e744f0">~OverlayElementFactory</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Destroy the overlay element factory.  <a href="#1f58e18cf969c8ebbf5a40df93e744f0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayElementFactory.html#5d6152612c123b139a21cab955bad6ab">createOverlayElement</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;instanceName)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Creates a new <a class="el" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a> instance with the name supplied.  <a href="#5d6152612c123b139a21cab955bad6ab"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayElementFactory.html#72387fe84a4dc4e87d7ab1cfeaaf73b6">destroyOverlayElement</a> (<a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a> *pElement)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Destroys a <a class="el" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a> which this factory created previously.  <a href="#72387fe84a4dc4e87d7ab1cfeaaf73b6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayElementFactory.html#71ac1dcee64048ccf181159a27e769bb">getTypeName</a> (void) const =0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the string uniquely identifying the type of element this factory creates.  <a href="#71ac1dcee64048ccf181159a27e769bb"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Defines the interface which all components wishing to supply <a class="el" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a> subclasses must implement. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>To allow the <a class="el" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a> types available for inclusion on overlays to be extended, OGRE allows external apps or plugins to register their ability to create custom OverlayElements with the <a class="el" href="classOgre_1_1OverlayManager.html" title="Manages Overlay objects, parsing them from .overlay files and storing a lookup library...">OverlayManager</a>, using the addOverlayElementFactory method. Classes wanting to do this must implement this interface. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>Each <a class="el" href="classOgre_1_1OverlayElementFactory.html" title="Defines the interface which all components wishing to supply OverlayElement subclasses...">OverlayElementFactory</a> creates a single type of <a class="el" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a>, identified by a 'type name' which must be unique. </dd></dl>

<p>Definition at line <a class="el" href="OgreOverlayElementFactory_8h-source.html#l00052">52</a> of file <a class="el" href="OgreOverlayElementFactory_8h-source.html">OgreOverlayElementFactory.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="1f58e18cf969c8ebbf5a40df93e744f0"></a><!-- doxytag: member="Ogre::OverlayElementFactory::~OverlayElementFactory" ref="1f58e18cf969c8ebbf5a40df93e744f0" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::OverlayElementFactory::~OverlayElementFactory           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Destroy the overlay element factory. 
<p>

<p>Definition at line <a class="el" href="OgreOverlayElementFactory_8h-source.html#l00056">56</a> of file <a class="el" href="OgreOverlayElementFactory_8h-source.html">OgreOverlayElementFactory.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="5d6152612c123b139a21cab955bad6ab"></a><!-- doxytag: member="Ogre::OverlayElementFactory::createOverlayElement" ref="5d6152612c123b139a21cab955bad6ab" args="(const String &amp;instanceName)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a>* Ogre::OverlayElementFactory::createOverlayElement           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>instanceName</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Creates a new <a class="el" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a> instance with the name supplied. 
<p>

<p>Implemented in <a class="el" href="classOgre_1_1PanelOverlayElementFactory.html#c871ad00836156935e4a63c228b14f20">Ogre::PanelOverlayElementFactory</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElementFactory.html#16968c41d48927f521a6d1365c6bd338">Ogre::BorderPanelOverlayElementFactory</a>, and <a class="el" href="classOgre_1_1TextAreaOverlayElementFactory.html#ea75e658e881632cd4c67a38d952af9f">Ogre::TextAreaOverlayElementFactory</a>.</p>

</div>
</div><p>
<a class="anchor" name="72387fe84a4dc4e87d7ab1cfeaaf73b6"></a><!-- doxytag: member="Ogre::OverlayElementFactory::destroyOverlayElement" ref="72387fe84a4dc4e87d7ab1cfeaaf73b6" args="(OverlayElement *pElement)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::OverlayElementFactory::destroyOverlayElement           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a> *&nbsp;</td>
          <td class="paramname"> <em>pElement</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Destroys a <a class="el" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a> which this factory created previously. 
<p>

<p>Definition at line <a class="el" href="OgreOverlayElementFactory_8h-source.html#l00060">60</a> of file <a class="el" href="OgreOverlayElementFactory_8h-source.html">OgreOverlayElementFactory.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="71ac1dcee64048ccf181159a27e769bb"></a><!-- doxytag: member="Ogre::OverlayElementFactory::getTypeName" ref="71ac1dcee64048ccf181159a27e769bb" args="(void) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::OverlayElementFactory::getTypeName           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the string uniquely identifying the type of element this factory creates. 
<p>

<p>Implemented in <a class="el" href="classOgre_1_1PanelOverlayElementFactory.html#d66e59bf46cf2f832ab87feeb5398ae9">Ogre::PanelOverlayElementFactory</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElementFactory.html#fdcb1afb1454fd4169aa6d4802926a6b">Ogre::BorderPanelOverlayElementFactory</a>, and <a class="el" href="classOgre_1_1TextAreaOverlayElementFactory.html#6af6df825136903c058dd92f98593bb0">Ogre::TextAreaOverlayElementFactory</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreOverlayElementFactory_8h-source.html">OgreOverlayElementFactory.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:10 2008
</p>
</body>
</html>
